Subject: FW: Trainer Candidate - Saurav Chakarborty
From: Deeksha Dadu <[email-masked]>
To: Livesalesman <[email-masked]>
Date: Tue, 28 Jul 2020 12:59:13 +0000

This guy is not answering the phone, call him and do the first round and let me know the feedback. Also, his salary expectation etc.?

From: Saurav Chakarborty <[email-masked]<mailto:[email-masked]>>
Reply-To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 28 July 2020 at 4:22 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Deeksha Dadu <[email-masked]<mailto:[email-masked]>>, Ashish Dabral <[email-masked]<mailto:[email-masked]>>
Subject: Trainer Candidate - Saurav Chakarborty

[https://www.jotform.com/uploads/lsmindia/form_files/LSM%20Logo.5ec38b9aad59e5.76825569.png]

        [https://cdn.jotfor.ms/assets/img/builder/email_logo_small.png]         Tech Support Test

Name    Saurav Chakarborty
E-mail  [email-masked]<mailto:[email-masked]>
Phone Number    (91) 8826147467
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station    I have my own 2/4 wheeler transport
Where do you currently live (area)      Noida sector 62
Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA
        Name of Company Designation     Last working day        Monthly Salary (inhand)
Current Employer        Rivoli group    Senior sales associate  July 2020
Previous Employer 1     Barclays shared services        Process trainer         January 2014
Previous Employer 2     Barclays shared services        Advisor         June 2010
If Selected, how much time do you need to join? Immediately
Please briefly describe your work experience specifically in training?  After joining Barclays shared services in 2011 I got promoted as a process trainer to facilitate new joiners and help them learn about the business as well as customer service skills. My role as a trainer was not just limited to train new hires but was very diverse, it included training content development, refresher trainings, self learning content creation, process migration training and train the trainer and behavior training. The various aspects of my training career has been extremely fruitful due to which I got an opportunity in 2014 to work for Rivoli group a luxury retail industry in Dubai UAE that deals in luxury Lifestyle Products. Upon joining Rivoli group my designation was a sales associate and later got promoted to a senior sales associate. My role was to generate more direct sales and corporate sales, business development and product trainer for new joiners.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.  Just like every other position training too has its challenges. Soon after I became a trainer our company started acquiring other businesses this new opportunity led to mass hiring, And many new joiners were inducted that directly increased the average number of people we usually train in a room. This presented a new kind of challenge such as not enough practice computers for the trainees, lack of space inside the training room, less number of chairs etc etc. The one thing I learned in life is whatever the situation is never compromise on quality. With the high number of new joiners our office administration & IT team was also not prepared with the necessary back. Having judged the entire situation i understood that it’ll take some time for help to reach me. Hence I started to do things differently I first identified the quick learners and the slow ones as well and making them sit together in a computer for the practice sessions. In another scenario rostered the entire team for a shift in a way that it gave a me some room to facilitate the delegates and make them practice while other trainings got over and I had their training room to my self. I also started a new practice of shifting the training week off to a weekend and weekday combination this turned out to be very successful as especially on the weekends the office is more or less quiet less crowded hence more practice time could be allocated to the delegates. I also got an approval from the management to gift the top performing delegates with some organizational rewards such as photo frames, coffee mugs, pen sets etc this led to an increase in the competitive spirit of the delegates to perform even better. These small and different changes fetched great results as I was the only trainer who successfully accredited all the new joiners to the operations floor with any individual being held back due to poor knowledge. Although this is was one of the instances where I faced a lot of challenges however my zeal to execute a task with uncompromising quality still remains.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)   The few factors that are of value and a difference creator between good and great customer service are as follows.

1. Being an active listener to understand what exactly the customer expects/needs.

2. Building strong relationship with the customer through follow ups.

3. Carefully reviewing positive and negative feedback from the customer.

4. Treating the customer professional and in a way that one expects to be treated.

5. Being short, crisp and precise with resolution delivery within a timely manner.

6. Delivery as promised.
What according to you makes you a good candidate for this position?     With close to 10+ years of experience I’ve always been associated with training pretty closely. I have delivered great results even when there was a of lack of proper training  infrastructure. I’m very articulative as well as posses the ability to make things understand to delegates with different learning abilities. And most importantly I’m a very stable resource and I do not believe in changing organizations. Rather I’d stay long, create new changes and grow with the organization.
On a scale of 1 - 5 please rate your fluency in spoken English  5